Reinstall a cloud instance
POST/v1/cloud_computing/instances/{instance_id}/reinstall
The reinstall operation can be done by sending a POST request to /v1/cloud_computing/instances/{instance_id}/reinstall with the instance ID in the path parameter and the image ID in the request body.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
instance_id | stringA unique identifier of a cloud instance. |
Request Body
| Field | Details |
|---|---|
image_id | stringA unique identifier of an image. To learn how to get an image ID, go to the Cloud Image section. |
user_data? | stringConfiguration information or scripts to use. When this parameter is used, it overrides the password specified during instance creation (if any). If the instance was created without an SSH key, you can set up the password inside this parameter yourself. |
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/cloud_computing/instances/YqaQlenj/reinstall" \ -H "Content-Type: application/json" \ -d '{ "image_id": "ee485932-7dbe-4937-a449-29a9ebbc8195", "user_data": "#!/bin/bash\\ntouch /var/file.created.successfully\\n" }'{ "id": "YqaQlenj", "openstack_uuid": "47bede30-1ea9-4902-940d-696dd3636e64", "status": "REBUILDING", "name": "name1141", "region_id": 1, "region_code": "US99", "flavor_id": "101", "flavor_name": "SSD.1", "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21", "image_name": null, "public_ipv4_address": "43.156.205.134", "private_ipv4_address": null, "local_ipv4_address": "90.28.53.255", "public_ipv6_address": null, "ipv6_enabled": false, "gpn_enabled": false, "created_at": "2026-05-28T07:03:23Z", "updated_at": "2026-05-28T07:03:23Z", "backup_copies": 0, "public_port_blocked": false, "labels": {}}